Gmagick::readimageblob
Gmagick::reducenoiseimage
Gmagick
PHP Manual

# Gmagick::readimagefile

The readimagefile purpose

### Description

public void Gmagick::readimagefile ( resource `$fp` [, string `$filename` ] )

Reads an image or image sequence from an open file descriptor.

### Parameters

`fp`

  The file descriptor.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.